const GoldSpawnEvent = function( battleState ) {
	this.eventHandle = 'gold_spawn';
	
	this.execute = ( tile, amount ) => {
		this.tileId = tile.uid;

		if( tile.loot ) {			
			if( tile.loot.gold ) {
				tile.loot.gold += amount;
			} else {
				tile.loot.gold = amount;
			}
		} else {
			tile.loot = {
				gold: amount
			};
		}

		this.affectedPieces = [ tile ]; 
		battleState.onBattleEvent( this );		
	};
};
module.exports = GoldSpawnEvent
