const EventEmitter = require('events');
const EventEmitter3 = require('eventemitter3');

const removeAllEventEmitters = (obj) => {
  if (typeof obj === 'object' && obj !== null) {
    const result_obj = {};
    for (const [key, val] of Object.entries(obj)) {
      if (!(val instanceof EventEmitter) && !(val instanceof EventEmitter3)) {
        result_obj[key] = removeAllEventEmitters(val);
      }
    }
    return result_obj;
  } else if (Array.isArray(obj)) {
    for (const item of obj) {
      removeAllEventEmitters(item);
    }
    return obj;
  } else {
    return obj;
  }
};
module.exports = removeAllEventEmitters;
