'use strict'

const { getMongoDBClient } = require('../index')

const getAltarState = async (playerId) => {
  const { db } = await getMongoDBClient()
  const { altarState } = await db.collection('script.altarStates').findOne({ _id: playerId })

  return altarState
}
module.exports = getAltarState
