'use strict'

const { getMongoDBClient } = require('../index')

const setPlayerLocation = async ({ playerId, country_code, country_name, city }) => {
  const { db } = await getMongoDBClient()
  const res = await db.collection(`player`).updateOne({
    _id: playerId
  }, {
    $set: {
      ['privateData.location']: { country_code, country_name, city }
    }
  })

  return true
}
module.exports = setPlayerLocation
